nv-cli-ifelse
===============
- nv-cli-ifelse    
- cli tool, quickly generate many if/elseif/else blocks 


install
=======
- npm install nv-cli-ifelse -g 

usage
=====

chain
-----

    # nv_if_chain -h
    
      Usage: nv_if_chain  [options]
      Options:
        -a, --always_with_else            always show else,default false
        -m, --maxsize                     the max-supported nodes,default 10000
        -h, --help                        Output usage information
    
    #nv_if_chain if if else if else else
    
    
    /* [00001] */    if(){
    
    /* [00002] */        if(){
    
    /* <00003> */            if(){
    
    /* [00004] */            } else {
    
    /* [00005] */                if(){
    
    /* <00006> */                    if(){
    
    /* [00007] */                    } else {
    
    /* <00008> */                        if(){
    
    /* [00009] */                        } else {
    
                                         }
    
                                     }
    
                                 }
    
                             }
    
                         }
    
                     }
    
    

    NVWIN_# nv_if_chain if if else if else else -a true

    /* [00001] */    if(){

    /* [00002] */        if(){

    /* <00003> */            if(){

    /* [00004] */            } else {

    /* [00005] */                if(){

    /* <00006> */                    if(){

    /* [00007] */                    } else {

    /* <00008> */                        if(){

    /* [00009] */                        } else {

                                         }

                                     }

    /* <00010> */                } else {

                                 }

                             }

    /* <00011> */        } else {

                         }

    /* <00012> */    } else {

                     }
 

    


quick
------


        NVWIN_# nv_if_quick  -h

          Usage: nv_if_quick  [options]
          Options:
            -d, --depth                       depth,default 1
            -c, --children_count              child if/elif/else count,default 10
            -m, --maxsize                     the max-supported nodes,default 10000
            -h, --help                        Output usage information



###

    NVWIN_#
    NVWIN_# nv_if_quick

    /* <00001> */    if(){

    /* <00002> */    } else if(){

    /* <00003> */    } else if(){

    /* <00004> */    } else if(){

    /* <00005> */    } else if(){

    /* <00006> */    } else if(){

    /* <00007> */    } else if(){

    /* <00008> */    } else if(){

    /* <00009> */    } else if(){

    /* <00010> */    } else {

                     }

    NVWIN_#
    NVWIN_# nv_if_quick -d 2 -c 4

        /* <00001> */    if(){

        /* <00002> */        if(){

        /* <00003> */        } else if(){

        /* <00004> */        } else if(){

        /* <00005> */        } else {

                             }

        /* <00006> */    } else if(){

        /* <00007> */        if(){

        /* <00008> */        } else if(){

        /* <00009> */        } else if(){

        /* <00010> */        } else {

                             }

        /* <00011> */    } else if(){

        /* <00012> */        if(){

        /* <00013> */        } else if(){

        /* <00014> */        } else if(){

        /* <00015> */        } else {

                             }

        /* <00016> */    } else {

        /* <00017> */        if(){

        /* <00018> */        } else if(){

        /* <00019> */        } else if(){

        /* <00020> */        } else {

                             }

                         }

        



layer
-----


        NVWIN_# nv_if_layer -h

          Usage: nv_if_layer  [options]
          Options:
            -i, --input                       tmp filename
            -p, --position                    position,number in /*<index>*/
            -c, --children                    insert as children
            -a, --after                       insert after
            -b, --before                      insert before
            -n, --number                      insert how many,default 1
            -r, --remove                      remove
            -m, --maxsize                     the max-supported nodes,default 10000
            -h, --help                        Output usage information



###

    NVWIN_# nv_if_layer -c -n 10 -i  f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree
    f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree :
    ===========================================

    /* <00001> */    if(){

    /* <00002> */    } else if(){

    /* <00003> */    } else if(){

    /* <00004> */    } else if(){

    /* <00005> */    } else if(){

    /* <00006> */    } else if(){

    /* <00007> */    } else if(){

    /* <00008> */    } else if(){

    /* <00009> */    } else if(){

    /* <00010> */    } else {

                     }
    NVWIN_#
    NVWIN_#
    NVWIN_# nv_if_layer -i  f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree
    f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree :
    ===========================================

    /* <00001> */    if(){

    /* <00002> */    } else if(){

    /* <00003> */    } else if(){

    /* <00004> */    } else if(){

    /* <00005> */    } else if(){

    /* <00006> */    } else if(){

    /* <00007> */    } else if(){

    /* <00008> */    } else if(){

    /* <00009> */    } else if(){

    /* <00010> */    } else {

                     }
    NVWIN_#
    NVWIN_#
    NVWIN_# nv_if_layer -c -n 3 -p 4 -i  f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree
    f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree :
    ===========================================

    /* <00001> */    if(){

    /* <00002> */    } else if(){

    /* <00003> */    } else if(){

    /* <00004> */    } else if(){

    /* <00005> */        if(){

    /* <00006> */        } else if(){

    /* <00007> */        } else {

                         }

    /* <00008> */    } else if(){

    /* <00009> */    } else if(){

    /* <00010> */    } else if(){

    /* <00011> */    } else if(){

    /* <00012> */    } else if(){

    /* <00013> */    } else {

                     }
    NVWIN_#
    NVWIN_#
    NVWIN_#
    NVWIN_# nv_if_layer -a -n 3 -p 6 -i  f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree
    f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree :
    ===========================================

    /* <00001> */    if(){

    /* <00002> */    } else if(){

    /* <00003> */    } else if(){

    /* <00004> */    } else if(){

    /* <00005> */        if(){

    /* <00006> */        } else if(){

    /* <00007> */        } else if(){

    /* <00008> */        } else if(){

    /* <00009> */        } else if(){

    /* <00010> */        } else {

                         }

    /* <00011> */    } else if(){

    /* <00012> */    } else if(){

    /* <00013> */    } else if(){

    /* <00014> */    } else if(){

    /* <00015> */    } else if(){

    /* <00016> */    } else {

                     }
    NVWIN_#
    NVWIN_#
    NVWIN_# nv_if_layer -b -n 3 -p 16 -i  f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree
    f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree :
    ===========================================

    /* <00001> */    if(){

    /* <00002> */    } else if(){

    /* <00003> */    } else if(){

    /* <00004> */    } else if(){

    /* <00005> */        if(){

    /* <00006> */        } else if(){

    /* <00007> */        } else if(){

    /* <00008> */        } else if(){

    /* <00009> */        } else if(){

    /* <00010> */        } else {

                         }

    /* <00011> */    } else if(){

    /* <00012> */    } else if(){

    /* <00013> */    } else if(){

    /* <00014> */    } else if(){

    /* <00015> */    } else if(){

    /* <00016> */    } else if(){

    /* <00017> */    } else if(){

    /* <00018> */    } else if(){

    /* <00019> */    } else {

                     }
    NVWIN_#
    NVWIN_#
    NVWIN_# nv_if_layer -r -p 4 -i  f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree
    f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree :
    ===========================================

    /* <00001> */    if(){

    /* <00002> */    } else if(){

    /* <00003> */    } else if(){

    /* <00004> */    } else if(){

    /* <00005> */    } else if(){

    /* <00006> */    } else if(){

    /* <00007> */    } else if(){

    /* <00008> */    } else if(){

    /* <00009> */    } else if(){

    /* <00010> */    } else if(){

    /* <00011> */    } else if(){

    /* <00012> */    } else {

                     }
    NVWIN_#
    NVWIN_# rm f3f6fa65-43ff-4a92-91df-71e2507ada5e.tree



LICENSE
=======
- ISC 
